ランタイム: Mix::ENGINE_CONFIG Struct Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Mix::ENGINE_CONFIG Struct Reference

エンジン設定構造体 More...

`#include <Common.h>`

Collaboration diagram for Mix::ENGINE_CONFIG:
[legend]

## Public Member Functions

| ENGINE_CONFIG (void)
| コンストラクタ More...

## Public Attributes

UInt32 | flags
| 使用する機能を Mix::ENGINE_CONFIG_FLAG 列挙定数の組み合わせで指定します。 More...
HWND | hWnd
| 外部ウィンドウのハンドル More...
Mix::Point | targetSize
| ターゲットのサイズ More...
const wchar_t * | pCaption
| ウィンドウのタイトルバーに表示される文字列 More...
HICON | hIcon
| ウィンドウのタイトルバーに表示されるアイコンのハンドル More...
HICON | hSmallIcon
| ウィンドウのタイトルバーに表示される小さいアイコンのハンドル More...
Boolean | bAcceptDrop
| ドラッグドロップを受け入れるかどうか More...
Int32 | baseFPS
| 毎秒のフレーム数 ( frameRate > 0 ) : 毎秒のフレーム数を制限し、FPSを計測します ( frameRate == 0 ) : 毎秒のフレーム数を制限せず、FPSを計測します ( frameRate < 0 ) : 毎秒のフレーム数を制限せず、FPSも計測しません More...
Int32 | insomniaFrames
| 毎フレームに空き時間が無い場合に他のスレッドにタイムスライスを譲る( Sleep( 0 ) )フレーム数 More...
const wchar_t * | pRootDirectoryPath
| ルートディレクトリのパス More...
const wchar_t * | pPluginDirectoryPath
| プラグインが入っているディレクトリのパス More...
const wchar_t * | pUserDirectoryPath
| ユーザーディレクトリのパス More...
Mix::Graphics::SHADER_MODEL | shaderModel
| 使用するシェーダーモデル More...
Boolean | bFullscreen
| フルスクリーンで起動する場合は True More...
Boolean | bWaitVSync
| 垂直同期を待って描画する場合は True More...
Int32 | textTabSize
| テキストのタブサイズ More...
Int32 | textTargetSize
| テキスト( フォント )を書き込むターゲットテクスチャの一辺の長さ More...
Int32 | initialTextTargetNum
| テキスト( フォント )を書き込むターゲットテクスチャの初期ページ数 More...

## Detailed Description

エンジン設定構造体

## Constructor & Destructor Documentation

Mix::ENGINE_CONFIG::ENGINE_CONFIG | ( | void |  | ) |

inline

コンストラクタ

## Member Data Documentation

UInt32 Mix::ENGINE_CONFIG::flags

使用する機能を Mix::ENGINE_CONFIG_FLAG 列挙定数の組み合わせで指定します。

HWND Mix::ENGINE_CONFIG::hWnd

外部ウィンドウのハンドル

Note
  内部でウィンドウを作成する場合は NULL にしておく必要がります。

Mix::Point Mix::ENGINE_CONFIG::targetSize

ターゲットのサイズ

Note
  内部ウィンドウを使用する場合は、ウィンドウのクライアント、グラフィックスのバックバッファのサイズになります。
  また、サイズ変更可能な外部ウィンドウが指定されている場合は、この値は無視され、
  グラフィックスのバックバッファのサイズは、現在のディスプレイの解像度が使用されます。

const wchar_t* Mix::ENGINE_CONFIG::pCaption

ウィンドウのタイトルバーに表示される文字列

Note
  外部ウィンドウが指定されている場合は無視されます。

HICON Mix::ENGINE_CONFIG::hIcon

ウィンドウのタイトルバーに表示されるアイコンのハンドル

Note
  外部ウィンドウが指定されている場合は無視されます。

HICON Mix::ENGINE_CONFIG::hSmallIcon

ウィンドウのタイトルバーに表示される小さいアイコンのハンドル

Note
  外部ウィンドウが指定されている場合は無視されます。

Boolean Mix::ENGINE_CONFIG::bAcceptDrop

ドラッグドロップを受け入れるかどうか

Note
  外部ウィンドウが指定されている場合は無視されます。

Int32 Mix::ENGINE_CONFIG::baseFPS

毎秒のフレーム数
( frameRate > 0 ) : 毎秒のフレーム数を制限し、FPSを計測します
( frameRate == 0 ) : 毎秒のフレーム数を制限せず、FPSを計測します
( frameRate < 0 ) : 毎秒のフレーム数を制限せず、FPSも計測しません

Int32 Mix::ENGINE_CONFIG::insomniaFrames

毎フレームに空き時間が無い場合に他のスレッドにタイムスライスを譲る( Sleep( 0 ) )フレーム数

const wchar_t* Mix::ENGINE_CONFIG::pRootDirectoryPath

ルートディレクトリのパス

Note
  NULL を指定するとプロセスのディレクトリになります。
  また、相対パスを指定するとカレントディレクトリをベースとした絶対パスになります。

const wchar_t* Mix::ENGINE_CONFIG::pPluginDirectoryPath

プラグインが入っているディレクトリのパス

Note
  NULL を指定するとカレントディレクトリを指定したことになります。
  また、相対パスを指定した場合、ルートディレクトリをベースとした絶対パスになります。

const wchar_t* Mix::ENGINE_CONFIG::pUserDirectoryPath

ユーザーディレクトリのパス

Note
  マイドキュメントからの相対パスを指定します。

Mix::Graphics::SHADER_MODEL Mix::ENGINE_CONFIG::shaderModel

使用するシェーダーモデル

Boolean Mix::ENGINE_CONFIG::bFullscreen

フルスクリーンで起動する場合は True

Boolean Mix::ENGINE_CONFIG::bWaitVSync

垂直同期を待って描画する場合は True

Int32 Mix::ENGINE_CONFIG::textTabSize

テキストのタブサイズ

Note
  最小値は 2 です。

Int32 Mix::ENGINE_CONFIG::textTargetSize

テキスト( フォント )を書き込むターゲットテクスチャの一辺の長さ

Int32 Mix::ENGINE_CONFIG::initialTextTargetNum

テキスト( フォント )を書き込むターゲットテクスチャの初期ページ数

The documentation for this struct was generated from the following file:

- Mix/Common.h